aspose file tools*
The moose likes Features new in Java 7 and the fly likes From Java1.5/Tomcat5 to Java1.7/Tomcat7 Big Moose Saloon
  Search | Java FAQ | Recent Topics | Flagged Topics | Hot Topics | Zero Replies
Register / Login


Win a copy of EJB 3 in Action this week in the EJB and other Java EE Technologies forum!
JavaRanch » Java Forums » Java » Features new in Java 7
Reply locked New topic
Author

From Java1.5/Tomcat5 to Java1.7/Tomcat7

Michele Feliciani
Greenhorn

Joined: Feb 20, 2012
Posts: 5
Hello everybody!

I'm experiencing a trouble caused by a Request/Response different from my previous version of Java1.5/Tomcat5 and Eclipse3.5
When my debug goes to:
public void doGet(HttpServletRequest request, HttpServletResponse response)
throws ServletException, IOException
{

I see that my old variable "request" has got the following definition in Eclipse3.5/Tomcat5:
- <unknown type> request=CoyoteRequestFacade
+ ServletRequest request (RequestFacade)=CoyoteRequest
+ CoyoteRequest request (CoyoteRequestFacade)=CoyoteRequest

My new variabile in Tomcat7 is really simply and not so complete:
- request RequestFacade
+ request Request

The same appens also to Response; I also can't find significant logs or messages in Eclipse helping me to solve this hard trouble.
I wonder what I should install/modify to let me login.
Thanks a lot for your support.
Greetings,
Michele.

PS: if it could help, I attach something helpful during Tomcat7 starting:
Informazioni: The APR based Apache Tomcat Native library which allows optimal performance in production environments was not found on the java.library.path:....
Avvertenza: [SetContextPropertiesRule]{Context} Setting property 'source' to 'org.eclipse.jst.jee.server:RRSWeb_Bari' did not find a matching property.
Informazioni: validateJarFile(C:\apache-tomcat-7.0.12\webapps\RRSWeb_Bari\WEB-INF\lib\javax.servlet.jar) - jar not loaded. See Servlet Spec 2.3, section 9.7.2. Offending class: javax/servlet/Servlet.class
Bear Bibeault
Author and ninkuma
Marshal

Joined: Jan 10, 2002
Posts: 60045
    
  65

Please do not post the same question ore than once.


[Asking smart questions] [Bear's FrontMan] [About Bear] [Books by Bear]
 
I agree. Here's the link: http://aspose.com/file-tools
 
subject: From Java1.5/Tomcat5 to Java1.7/Tomcat7
 
Similar Threads
eclipse3.5 giving OutOfMemory/Permgen after installing plugin for Spring IDE
Help: Upgrading from Tomcat 5.0 to 5.5
sendRedirect()
Sun Java System Web Server 7.0 - Major... BUG?
hibernate project configuration in eclipse3.5 and netbeans6.8